Subject: [mile] Matching requests and responses during RID callback

From: Brian Trammell <[email-masked]>
Date: Tue, 13 Dec 2011 16:09:36 +0100

Greetings, all,

One last 6046 issue, I promise.

While considering the answer to one of the appsdir questions with respect to matching a request to a response during RID callback, I remember thinking when 6046 was initially written, that the RIDPolicy/IncidentID element should be used to match a callback response to the request that generated it.

However, it's become clear that this is not sufficient; first, RIDPolicy/IncidentID is optional; second, it is not guaranteed to be unique to a RID message (consider multiple messages sent regarding the same incident, all receiving callbacks).

Since this issue only arises during callback, I believe this makes more sense to handle with an entity header in 6046, as opposed to adding content to the RID message itself. This entity header would be generated by the receiving RID system on the 200 Accepted HTTP response to the request generating the callback, and also added to the HTTP Request containing the callback reply. I presume 'RID-Callback-ID:' would be a reasonable name for this entity header.

Thoughts?

Cheers,

Brian (author hat)

> On Dec 13, 2011, at 6:00 AM, <[email-masked]> wrote:
> 
>> Are you pulling another all-nighter?!?!?  Wow, it is even late for me here... or are you waking up?
>> 
>> I hope you get some sleep!!!
>> 
>> Take care,
>> Kathleen 
>> 
>> -----Original Message-----
>> From: Brian Trammell [mailto:[email-masked]] 
>> Sent: Monday, December 12, 2011 11:57 PM
>> To: Moriarty, Kathleen
>> Cc: [email-masked]; [email-masked]
>> Subject: Re: [mile] WGLC on draft-ietf-mile-rfc6046-bis-01 to 5 December 2011
>> 
>> Hi, Kathleen, Chris,
>> 
>> Sounds good to me.
>> 
>> Brian (author hat)
>> 
>> On Dec 13, 2011, at 5:47 AM, <[email-masked]> <[email-masked]> wrote:
>> 
>>> Hello Chris,
>>> 
>>> HTTPS is not intended to be the exclusive transport of RID.  I am fine with the document name change, any opinions/objections?
>>> 
>>> Thank you,
>>> Kathleen (as WG chair)
>>> 
>>> -----Original Message-----
>>> From: Chris Inacio [mailto:[email-masked]] 
>>> Sent: Monday, December 12, 2011 11:18 PM
>>> To: Moriarty, Kathleen
>>> Cc: [email-masked]; [email-masked]
>>> Subject: Re: [mile] WGLC on draft-ietf-mile-rfc6046-bis-01 to 5 December 2011
>>> 
>>> I would really like the title to be changed to 
>>> 
>>> "Transport of Real-time Inter-network Defense (RID) Messages over HTTPS"
>>> 
>>> unless we intend for HTTPS to be the exclusive transport of RID.
>>> 
>>> 
>>> Chris
>>> 
>>> 
>>> 
>>> On Nov 21, 2011, at 9:01 AM, <[email-masked]> <[email-masked]> wrote:
>>> 
>>>> Hello,
>>>> 
>>>> I'd like to start a two-week working group last call (WGLC) on the RFC6046-bis document (draft-ietf-mile-rfc6046-bis-01).
>>>> 
>>>> Please make your comments on the document to the [email-masked] list by 5 December 2011. The more reviews, the better, so please take time to read the document if you've not done so yet.
>>>> 
>>>> Many thanks, and best regards,
>>>> 
>>>> Kathleen (as chair of the MILE WG)
>>>> 
>>>> 
>>>> 
>>>> _______________________________________________
>>>> mile mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/mile
>>> 
>> 
>